=== debian/changelog ===
geographiclib (1.45-2) unstable; urgency=medium

  * Also build geographiclib for Python 3.
    (closes: #805964)
  * Enable parallel builds.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Dec 2015 16:31:49 +0100

geographiclib (1.45-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Oct 2015 12:27:11 +0200

geographiclib (1.45-1~exp1) experimental; urgency=medium

  [ Ross Gammon ]
  * New upstream release.
  * Update copyright file.

  [ Bas Couwenberg ]
  * Add node-geographiclib package for Node.js module.
  * Drop scripts from doc install, no longer included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Oct 2015 14:27:09 +0200
