=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://sf.net/geographiclib/ \
[gG]eographic[lL]ib-(.*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
